import { useState, useEffect } from 'react'
import withLayout from '@/layout'
import { ScrollView, Image } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout(() => {

  const [IsPull, setPull] = useState(false)
  const [PullTimer, setPullTimer] = useState(null)

  const PageRefresh = () => { // 页面下拉刷新回调
    setPull(true)
  }

  useEffect(() => { // 下拉刷新触发
    if (IsPull) {
      clearTimeout(PullTimer)
      setPullTimer(setTimeout(() => {
        setPull(false)
      }, 2000))
    }
  }, [IsPull])

  return (
    <view className='Page activityDetail flex-v'>
      <view className='flex-item'>
        <view>
          <ScrollView scroll-y refresher-enabled refresher-triggered={IsPull} onrefresherrefresh={PageRefresh} refresher-background='#fff'>
            <view className='PageContent'>

              <view className='Top'>
                <Image mode='aspectFill' src={null} className='centerLabel'></Image>
              </view>

              <view className='Info'>
                <view>
                  <view className='Title flex-h'>
                    <view className='flex-item'>
                      <text>换了套圈圈福利 快来参加吧</text>
                    </view>
                    <text className='Tips'>17人已报名</text>
                  </view>
                  <text className='Time'>报名截止时间：2019-07-19 12:00</text>
                  <text className='Name'>“香颂 · 蔚澜半岛”</text>
                  <view className='flex-h Address'>
                    <text>地址：</text>
                    <view className='flex-item'>
                      <text>江苏省南京市奥体大厦1楼</text>
                    </view>
                  </view>
                  <view className='flex-h Date'>
                    <text>时间：</text>
                    <view className='flex-item'>
                      <text>2019/10/20 10:00 - 2019/10/22 10:00</text>
                    </view>
                  </view>
                  <view className='Btn'>
                    <text>分享好友</text>
                  </view>
                </view>
              </view>

              <view className='ActivityIntro'>
                <view className='Title'>
                  <text>活动介绍</text>
                </view>
              </view>

              <view className='Bottom'>
                <view>
                  <view>
                    <text className='iconfont icon-shengming'></text>
                    <text>免责声明</text>
                  </view>
                  <view>
                    <text>&emsp;&emsp;以上价格仅供参考,具体一房一价的信息以售楼处展示为准。房屋位置交通、医疗、教育、商业等配套信息，来源于第三方不作为要约,仅供参考,双方具体权利义务应以法律规定及买卖合同约定为准。本平台对项目周边文化教育的介绍旨在提供相关信息1 意味着信息发布方对就学安排作出承诺。相关教育资首页信息存在调整的可能,应以政府教育主管部门门及办学颁布的政策规定为准。详情请仔细阅读</text>
                    <text className='active'>《新联家使用免责条款》</text>
                  </view>
                </view>
              </view>

            </view>
          </ScrollView>
        </view>
      </view>
      <view className='PageBottom flex-h'>
        <view className='Share'>
          <text className='iconfont icon-fenxiang'></text>
          <text>分享</text>
        </view>
        <view className='Collect'>
          <text className='iconfont icon-shoucang'></text>
          <text>收藏</text>
        </view>
        <view className='flex-item'></view>
        <text className='Post'>立即报名</text>
      </view>
    </view>
  )
})
