import React, { useState, useEffect } from 'react'
import { Image } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default function PropertyConsultant (props) {

  const { Data = {} } = props
  const [TipsList] = useState([
    {name: '官方保障', icon: 'icon-baozhang'},
    {name: '免费咨询', icon: 'icon-zixun'},
    {name: '户型解读', icon: 'icon-jiedu'},
    {name: '贴心服务', icon: 'icon-tiexin'}
  ])
  const [PageList, setPageList] = useState(['', '', ''])

  return (
    <view className='components PropertyConsultant'>

      <view className='Title flex-h'>
        <view className='flex-item'>
          <text>置业顾问</text>
        </view>
        <text>更多</text>
        <text className='iconfont icon-jiantouright'></text>
      </view>

      <view className='TipsList flex-h'>
        {
          TipsList.map((item, index) => (
            <view className='flex-item' key={`TipsItem-${index}`}>
              <text className={`iconfont ${item.icon}`}></text>
              <text>{item.name}</text>
            </view>
          ))
        }
      </view>

      <view className='PersonList'>
        {
          PageList.map((item, index) => (
            <view key={`PersonItem-${index}`} className='flex-h'>
              <view className='Icon'>
                <Image mode='aspectFill' src={null}></Image>
              </view>
              <view className='flex-item'>
                <text>陶虹</text>
                <text>好评经纪人，熟悉楼盘特色</text>
              </view>
              <text className='iconfont icon-liaotian Chat'></text>
              <text className='iconfont icon-dianhua Phone'></text>
            </view>
          ))
        }
      </view>

    </view>
  )
}
